btb-class |

# CustomLoadingProvider Methods

The methods of the CustomLoadingProvider class are listed below. For a complete list of CustomLoadingProvider class members, see the CustomLoadingProvider Members topic.

#### Public Instance Methods

LoadItem | Perform single thumbnail loading pass on the specified item.
LoadItems | Perform single thumbnail loading pass on the items loaded on background and stored.

#### Protected Instance Methods

LoadItemAsync | Perform single pass of thumbnail item loading on background.
LoadItemsSync | Perform single thumbnail loading pass on the items loaded on background and stored.
LoadItemSync | Perform single pass of thumbnail item loading on foreground.

#### See Also

CustomLoadingProvider Class | ComponentOwl.BetterThumbnailBrowser Namespace